com.google.gwt.geolocation.client

## Class PositionError

- java.lang.Object
- - java.lang.Throwable
  - - com.google.gwt.geolocation.client.PositionError

- All Implemented Interfaces:
    java.io.Serializable

      public final class PositionError
      extends java.lang.Throwable

  Represents an error that occurred while trying to get the user's current position.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PERMISSION_DENIED` The user declined access to their position to this application.
    `static int` | `POSITION_UNAVAILABLE` The browser was unable to locate the user.
    `static int` | `TIMEOUT` The browser was unable to locate the user in enough time.
    `static int` | `UNKNOWN_ERROR` An unknown error occurred.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionError(int code, java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Returns the error code associated with this error.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN_ERROR

          public static final int UNKNOWN_ERROR

      An unknown error occurred.
      See Also:
        Constant Field Values

    - #### PERMISSION_DENIED

          public static final int PERMISSION_DENIED

      The user declined access to their position to this application.
      See Also:
        Constant Field Values

    - #### POSITION_UNAVAILABLE

          public static final int POSITION_UNAVAILABLE

      The browser was unable to locate the user.
      See Also:
        Constant Field Values

    - #### TIMEOUT

          public static final int TIMEOUT

      The browser was unable to locate the user in enough time.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PositionError

          PositionError(int code,
                        java.lang.String message)

  - ### Method Detail

    - #### getCode

          public int getCode()

      Returns the error code associated with this error.